BendSurface Class |
The BendSurface class defines a surface contour that can be used as a bend between two plates
Inheritance Hierarchy
SystemObject
Tekla.Structures.ModelBendSurface
Tekla.Structures.ModelConicalSurface
Tekla.Structures.ModelCylindricalSurface
Tekla.Structures.ModelBendSurface
Tekla.Structures.ModelConicalSurface
Tekla.Structures.ModelCylindricalSurface
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
The BendSurface type exposes the following members.
Constructors
Name | Description | |
---|---|---|
BendSurface(Arc, Double, Double) |
Initializes a new instance of the BendSurface class from a base arc, a height and a radius at the top.
This is the recommended constructor if no intermediate points are desired along the lateral boundaries of the bend surface.
| |
BendSurface(ListPoint, ListPoint, Line, Vector) |
Initializes a new instance of the BendSurface class from the cone lateral boundaries and the center line.
This is the recommended constructor if fine grained control is desired over the lateral boundaries of the surface
| |
BendSurface(Vector, Vector, ListPoint, ListPoint) |
Initializes a new instance of the BendSurface class with given parameters.
The boundaries are defined by the lateral boundaries (i.e. the points on the sides of the curved part of the surface).
The side boundaries are defined by the two first points and the two last points of the lateral boundaries.
| |
BendSurface(Vector, Vector, LineSegment, LineSegment) |
Initializes a new instance of the BendSurface class with given parameters.
The boundaries are defined by the side boundaries (i.e. generator lines of the surface).
|
Properties
Name | Description | |
---|---|---|
CenterLine |
Gets the center line of the bend surface (i.e. the line that crosses every circular cross section of the
bend at their center point)
| |
EndFaceNormal1 |
Gets the first end face normal.
| |
EndFaceNormal2 |
Gets the second end face normal.
| |
IntersectionLine |
Gets intersection line.
| |
InwardCurved |
Gets the direction of the curve - true if the curve is oriented towards the intersection line, false otherwise.
| |
LateralBoundary1 |
Gets or sets the first lateral boundary
| |
LateralBoundary2 |
Gets or sets the second lateral boundary
| |
RotationAxis |
Gets the unit vector that defines the rotation axis (for counter clockwise rotations) of the lateral
boundaries of the surface. This axis is always parallel to the direction of the center line.
| |
SideBoundary1 |
Gets or sets the first side boundary.
| |
SideBoundary2 |
Gets or sets the second side boundary.
|
See Also